let React = require('react');


module.exports = {
    getRoot(store, Provider, RootInstance) {

        return (

            <Provider store={store}>

                <RootInstance />

            </Provider>

        )

    },
    getView(View, props) {

        return (

            <View {...props} />

        );

    },
    getConstructor(Constructor, mountKey, props) {

        return (

            <Constructor mountKey={mountKey}
                {...props} />

        );

    },
    getHook(View, props) {

        return (

            <View {...props} />

        );

    },
    getConstructorItem(ConstructorItem, _forceUpdateFlag, mountKey, props) {

        return (

            <ConstructorItem
                forceUpdateFlag={_forceUpdateFlag}
                mountKey={mountKey}
                {...props} />

        );

    }
}